import { InputDefinitionBlock } from "./definitionBlocks";
import { GetGen } from "../typegenTypeHelpers";
export interface NexusExtendInputTypeConfig<TypeName extends string> {
  type: TypeName;
  definition(t: InputDefinitionBlock<TypeName>): void;
}
export declare class NexusExtendInputTypeDef<TypeName extends string> {
  readonly name: TypeName;
  protected config: NexusExtendInputTypeConfig<string>;
  constructor(name: TypeName, config: NexusExtendInputTypeConfig<string>);
  readonly value: NexusExtendInputTypeConfig<string>;
}
/**
 * Adds new fields to an existing inputObjectType in the schema. Useful when
 * splitting your schema across several domains.
 *
 * @see http://graphql-nexus.com/api/extendType
 */
export declare function extendInputType<
  TypeName extends GetGen<"inputNames", string>
>(
  config: NexusExtendInputTypeConfig<TypeName>
): NexusExtendInputTypeDef<TypeName>;
