"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _types_1 = require("./_types");
var graphql_1 = require("graphql");
var NexusExtendInputTypeDef = /** @class */ (function () {
    function NexusExtendInputTypeDef(name, config) {
        this.name = name;
        this.config = config;
        graphql_1.assertValidName(name);
    }
    Object.defineProperty(NexusExtendInputTypeDef.prototype, "value", {
        get: function () {
            return this.config;
        },
        enumerable: true,
        configurable: true
    });
    return NexusExtendInputTypeDef;
}());
exports.NexusExtendInputTypeDef = NexusExtendInputTypeDef;
_types_1.withNexusSymbol(NexusExtendInputTypeDef, _types_1.NexusTypes.ExtendInputObject);
/**
 * Adds new fields to an existing inputObjectType in the schema. Useful when
 * splitting your schema across several domains.
 *
 * @see http://graphql-nexus.com/api/extendType
 */
function extendInputType(config) {
    return new NexusExtendInputTypeDef(config.type, config);
}
exports.extendInputType = extendInputType;
//# sourceMappingURL=extendInputType.js.map